Bug 186687 - Printers aren't configured
Printers aren't configured
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-25 07:24 EST by Bart Vanbrabant
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.2.1-1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-07 06:06:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The cupsd.conf file where I manually added the Inkjet and LaserJet entries. After that I removed them and added the HP printern. (22.04 KB, application/octet-stream)
2006-03-27 07:04 EST, Bart Vanbrabant
no flags Details
The current printers.conf (2.83 KB, application/octet-stream)
2006-03-27 07:08 EST, Bart Vanbrabant
no flags Details
The original file (2.99 KB, application/octet-stream)
2006-03-27 07:10 EST, Bart Vanbrabant
no flags Details

  None (edit)
Description Bart Vanbrabant 2006-03-25 07:24:11 EST
Description of problem:
system-config-printer shows the all my configured printers but they don't apear
in the print-dialog. They also aren't usable by lpr on the commandline.
In /etc/cups I moved the config from /etc/cups/printers.conf.rpmsave to the
/etc/cups/cupsd.conf file. After that my printers work again.
The file /etc/cups/printer.conf doesn't exist.

Version-Release number of selected component (if applicable):
I noticed this the first time with yesterday's rawhide (24/03/2006)
Comment 1 Tim Waugh 2006-03-27 05:31:21 EST
What architecture?
Comment 2 Bart Vanbrabant 2006-03-27 05:34:41 EST
x86
Comment 3 Tim Waugh 2006-03-27 06:44:15 EST
Please attach:

1. the output of 'lpstat -s'
2. the output of 'printconf-tui --Xexport', making sure to replace any passwords
for remote printers with '***'
3. /etc/cups/cupsd.conf
4. /etc/cups/printers.conf if it exists (note: printers.conf not printer.conf)

Thanks.
Comment 4 Bart Vanbrabant 2006-03-27 07:02:34 EST
output of lpstat -s

system default destination: HP
device for HP: socket://192.168.1.2:9100

printconf-tui --Xexport

<?xml version="1.0"?>
<adm_context VERSION="0">
  <id NAME="local" SERIAL="1143274336">
    <null/>
    <null/>
    </id>
  <datatree>
    <printconf TYPE="LIST">
      <print_queues TYPE="LIST">
        <_HP ATOMIC="TRUE" TYPE="LIST">
          <alias_list ANONYMOUS="TRUE" TYPE="LIST">
            </alias_list>
          <queue_description TYPE="STRING" VALUE=""/>
          <queue_type TYPE="STRING" VALUE="JETDIRECT"/>
          <queue_data TYPE="LIST">
            <jetdirect_ip TYPE="STRING" VALUE="192.168.1.2"/>
            <jetdirect_port TYPE="STRING" VALUE="9100"/>
            </queue_data>
          <filter_data TYPE="LIST">
            <print_header_page TYPE="BOOL" VALUE="FALSE"/>
            <flags TYPE="LIST">
              <convert_text_to_Postscript TYPE="BOOL" VALUE="TRUE"/>
              <rerender_Postscript TYPE="BOOL" VALUE="FALSE"/>
              <send_EOT TYPE="BOOL" VALUE="FALSE"/>
              <assume_data_is_text TYPE="BOOL" VALUE="FALSE"/>
              <send_FF TYPE="BOOL" VALUE="FALSE"/>
              </flags>
            <mf_type TYPE="STRING" VALUE="MFOMATIC"/>
            <filter_locale TYPE="STRING" VALUE="C"/>
            <printer_id TYPE="STRING" VALUE="HP-LaserJet_1200"/>
            <gs_driver TYPE="STRING" VALUE="pxlmono"/>
            <foomatic_defaults ANONYMOUS="TRUE" TYPE="LIST">
              <option_default TYPE="LIST">
                <name TYPE="STRING" VALUE="PageSize"/>
                <type TYPE="STRING" VALUE="enum"/>
                <default TYPE="STRING" VALUE="A4"/>
                </option_default>
              </foomatic_defaults>
            </filter_data>
          <filter_type TYPE="STRING" VALUE="MAGICFILTER"/>
          <jobsheets TYPE="LIST">
            <start TYPE="STRING" VALUE="none"/>
            <end TYPE="STRING" VALUE="none"/>
            </jobsheets>
          <margins TYPE="LIST">
            <top TYPE="INT" VALUE="36"/>
            <right TYPE="INT" VALUE="36"/>
            <bottom TYPE="INT" VALUE="36"/>
            <left TYPE="INT" VALUE="36"/>
            </margins>
          <lpoptions TYPE="LIST">
            <cpi TYPE="STRING" VALUE="12"/>
            <fitplot TYPE="STRING" VALUE="true"/>
            <lpi TYPE="STRING" VALUE="7"/>
            <page-bottom TYPE="STRING" VALUE="86"/>
            <page-left TYPE="STRING" VALUE="57"/>
            <page-right TYPE="STRING" VALUE="57"/>
            <page-top TYPE="STRING" VALUE="72"/>
            <scaling TYPE="STRING" VALUE="100"/>
            <wrap TYPE="STRING" VALUE="true"/>
            </lpoptions>
          </_HP>
        </print_queues>
      <sharing_globals TYPE="LIST">
        <browsing TYPE="BOOL" VALUE="TRUE"/>
        </sharing_globals>
      </printconf>
    </datatree>
  </adm_context>

I've also attached the other two files. Please note that this is the ouput after
I've manualy added the printer from /etc/cups/printers.conf.rpmsave
Comment 5 Bart Vanbrabant 2006-03-27 07:04:33 EST
Created attachment 126810 [details]
The cupsd.conf file where I manually added the Inkjet and LaserJet entries. After that I removed them and added the HP printern.
Comment 6 Bart Vanbrabant 2006-03-27 07:08:25 EST
Created attachment 126811 [details]
The current printers.conf

This file didn't exist. I copied it from the .rpmsave file, this is the file
after removing the *Jet printers and added the HP printer
Comment 7 Bart Vanbrabant 2006-03-27 07:10:00 EST
Created attachment 126812 [details]
The original file

This is the file that was created after installing cups from rawhide.
Comment 8 Tim Waugh 2006-03-27 09:39:30 EST
My theory is that the SELinux policy prevents printconf-backend from creating
/etc/cups/printers.conf.  It only has the ability to modify the existing file. 
I'm building a CUPS package that ships an empty printers.conf file, so we'll see
if that helps.
Comment 9 Bart Vanbrabant 2006-03-27 09:48:37 EST
I have SELinux disabled. 
Comment 10 Tim Waugh 2006-03-27 10:15:12 EST
Ah, in that case it's just this bug in printconf-backend:

Traceback (most recent call last):
  File "/usr/sbin/printconf-backend", line 7, in ?
    import backend
  File "/usr/share/printconf/util/backend.py", line 808, in ?
    printers_conf_lines = file (printers_conf).readlines ()
IOError: [Errno 2] No such file or directory: '/etc/cups/printers.conf'

In any case, cups-1.2-0.2.rc1.1 should fix it.

Thanks for the report!
Comment 11 Bart Vanbrabant 2006-06-06 14:14:20 EDT
This seems fixed. This bug can be closed for me!

Note You need to log in before you can comment on or make changes to this bug.